# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 5f287254715dd91f2c508a2a6b9853f0ef4ed785
    parent 05ebee60843f24201f3e7c5c76ff94b6b5e868b2
    Author: Matthias-Christian Ott <ott@enolink.de>
    Date:   Tue, 10 Jun 2008 17:56:57 +0200

    source utility functions out to util.c

    Diffstat:
    MMakefile | 2+-
    Mpty.c | 1+
    Mst.c | 1+
    Mstd.c | 39+--------------------------------------
    Autil.c | 37+++++++++++++++++++++++++++++++++++++
    Autil.h | 5+++++

    6 files changed, 46 insertions(+), 39 deletions(-)
    diff --git a/Makefile b/Makefile
    @@ -3,7 +3,7 @@

     include config.mk

    -SRC = st.c std.c
    +SRC = st.c std.c util.c pty.c
     OBJ = ${SRC:.c=.o}

     all: options st
    diff --git a/pty.c b/pty.c
    @@ -1,4 +1,5 @@
     /* See LICENSE file for copyright and license details. */
    +#include "util.h"
     #include <sys/types.h>
     #include <sys/stat.h>
     #include <fcntl.h>
    diff --git a/st.c b/st.c
    @@ -1,4 +1,5 @@
     /* See LICENSE file for copyright and license details. */
    +#include "util.h"
     #include <stdio.h>

     int
    diff --git a/std.c b/std.c
    @@ -1,12 +1,8 @@
     /* See LICENSE file for copyright and license details. */
    -#include <sys/ioctl.h>
    -#include <sys/select.h>
    -#include <sys/stat.h>
    +#include "util.h"
     #include <sys/types.h>
     #include <sys/wait.h>
     #include <ctype.h>
    -#include <errno.h>
    -#include <fcntl.h>
     #include <signal.h>
     #include <stdarg.h>
     #include <stdio.h>
    @@ -20,9 +16,6 @@

     void buffer(char c);
     void cmd(const char *cmdstr, ...);
    -void *emallocz(unsigned int size);
    -void eprint(const char *errstr, ...);
    -void eprintn(const char *errstr, ...);
     void getpty(void);
     void movea(int x, int y);
     void mover(int x, int y);
    @@ -68,36 +61,6 @@ cmd(const char *cmdstr, ...) {
     	va_end(ap);
     }

    -void *
    -emallocz(unsigned int size) {
    -	void *res = calloc(1, size);
    -
    -	if(!res)
    -		eprint("fatal: could not malloc() %u bytes\n", size);
    -	return res;
    -}
    -
    -void
    -eprint(const char *errstr, ...) {
    -	va_list ap;
    -
    -	va_start(ap, errstr);
    -	vfprintf(stderr, errstr, ap);
    -	va_end(ap);
    -	exit(EXIT_FAILURE);
    -}
    -
    -void
    -eprintn(const char *errstr, ...) {
    -	va_list ap;
    -
    -	va_start(ap, errstr);
    -	vfprintf(stderr, errstr, ap);
    -	va_end(ap);
    -	fprintf(stderr, ": %s\n", strerror(errno));
    -	exit(EXIT_FAILURE);
    -}
    -
     void
     movea(int x, int y) {
     	x = MAX(x, cols);
    diff --git a/util.c b/util.c
    @@ -0,0 +1,37 @@
    +/* See LICENSE file for copyright and license details. */
    +#include "util.h"
    +#include <errno.h>
    +#include <stdarg.h>
    +#include <stdio.h>
    +#include <stdlib.h>
    +#include <string.h>
    +
    +void *
    +emallocz(unsigned int size) {
    +	void *res = calloc(1, size);
    +
    +	if(!res)
    +		eprint("fatal: could not malloc() %u bytes\n", size);
    +	return res;
    +}
    +
    +void
    +eprint(const char *errstr, ...) {
    +	va_list ap;
    +
    +	va_start(ap, errstr);
    +	vfprintf(stderr, errstr, ap);
    +	va_end(ap);
    +	exit(EXIT_FAILURE);
    +}
    +
    +void
    +eprintn(const char *errstr, ...) {
    +	va_list ap;
    +
    +	va_start(ap, errstr);
    +	vfprintf(stderr, errstr, ap);
    +	va_end(ap);
    +	fprintf(stderr, ": %s\n", strerror(errno));
    +	exit(EXIT_FAILURE);
    +}
    diff --git a/util.h b/util.h
    @@ -0,0 +1,5 @@
    +/* See LICENSE file for copyright and license details. */
    +
    +void *emallocz(unsigned int size);
    +void eprint(const char *errstr, ...);
    +void eprintn(const char *errstr, ...);